﻿:root {
    --mud-drawer-width-left: 300px !important;
}

#components-reconnect-modal {
    z-index: 10000 !important;
    background: transparent !important;
    background-color: transparent !important;
}

/*Mud Drawer*/
.mud-drawer-header {
    justify-content: center !important;
}

.mud-nav-link {
    color: var(--white) !important;
}

    .mud-nav-link svg {
        background-color: var(--lavender) !important;
        border-radius: 20px;
        padding: 4px !important;
        width: 30px !important;
        height: 30px !important;
    }

    .mud-nav-link span {
        background-color: var(--lavender) !important;
        border-radius: 20px;
        padding: 4px !important;
        width: 30px !important;
        height: 30px !important;
    }

.mud-appbar {
    width: 100%;
    display: flex;
    z-index: var(--mud-zindex-appbar);
    position: relative;
    box-sizing: border-box;
    flex-shrink: 0;
    flex-direction: column;
    color: var(--mud-palette-appbar-text);
    background: var(--black) !important;
    transition: margin 225ms cubic-bezier(0,0,.2,1) 0ms,width 225ms cubic-bezier(0,0,.2,1) 0ms;
}

.mud-button-filled.mud-button-filled-error {
    background-color: var(--soft-red) !important;
}

.mud-dialog .mud-dialog-title {
    background: var(--lavender) !important;
    color: var(--black) !important;
}

/*.mud-drawer .mud-drawer-content {
    height: 100%;
    overflow-y: scroll;
    display: flex;
    flex-shrink: 0;
    flex-grow: 1;
    flex: 0 0 auto;
    flex-direction: column;
    background: var(--black);
    color: var(--white);
    font-size: 0.9rem !important;
    padding: 20px;
}*/

.mud-drawer .mud-drawer-content {
    height: 100%;
    overflow-y: scroll;
    display: flex;
    flex-shrink: 0;
    flex-grow: 1;
    flex: 0 0 auto;
    flex-direction: column;
    background-position-x: 523px;
    background: round;
    color: var(--white);
    font-size: .9rem !important;
    padding: 20px;
    background-color: #00000073 !important;
}

/*.mud-icon-button-label {
    color: white !important;
}*/

.mud-icon-root .mud-svg-icon .mud-icon-size-medium .mud-expand-panel-icon {
    color: white !important;
}

.mud-input-control.mud-input-control-boolean-input .mud-radio-group {
    flex-direction: column !important;
    align-items: unset !important;
}

.mud-nav-link:hover:not(.mud-nav-link-disabled) {
    color: var(--white) !important;
    background-color: rgba(255,255,255,0.1) !important;
}

    .mud-nav-link:hover:not(.mud-nav-link-disabled):hover {
        color: var(--black) !important;
        background-color: #bba8f6 !important;
    }

.mud-expand-panel .mud-expand-panel-header .mud-expand-panel-icon {
    color: var(--black);
}

.mud-navmenu.mud-navmenu-default .mud-nav-link.active:not(.mud-nav-link-disabled) {
    color: var(--black) !important;
    background-color: #bba8f6 !important;
}

.mud-nav-item {
    padding-top: 1rem;
}

/*.mud-nav-link:not(.mud-nav-link-disabled) .mud-nav-link-icon.mud-nav-link-icon-default {
    color: var(--forte-gray) !important;
}*/

.mud-nav-link:not(.mud-nav-link-disabled) .mud-nav-link-icon.mud-nav-link-icon-default {
    color: var(--black) !important;
}

.mud-nav-link {
    color: #d7d7d7;
    border-radius: 4px;
    height: 3rem;
    display: flex;
    align-items: center;
    line-height: 3rem;
}

.mud-nav-group {
    padding-top: 1rem;
}

/*.mud-navmenu.mud-navmenu-default .mud-nav-link-expand-icon.mud-transform {
    fill: var(--white) !important;
}*/


.mud-shrink ~ label.mud-input-label.mud-input-label-inputcontrol {
    color: var(--black) !important;
}

.mud-input > input.mud-input-root, div.mud-input-slot.mud-input-root {
    color: var(--black) !important;
}

.mud-navmenu .mud-icon-root {
    fill: var(--black) !important;
}

.mud-container-maxwidth-lg {
    width: 100% !important;
    padding: 0 !important;
    margin: auto !important;
    max-width: auto !important;
}

.mud-expand-panel-text {
    color: var(--black) !important;
    font-weight: bold;
    font-family: Poppins_bold !important;
    font-size: 18px !important;
}

.mud-overlay .mud-overlay-scrim.mud-overlay-dark {
    border-color: var(--mud-palette-overlay-dark);
    background-color: var(--mud-palette-overlay-dark);
    height: 120vh !important;
    height: 120% !important;
    height: -webkit-fill-available;
}

.mud-popover .mud-list {
    background-color: var(--lavender) !important;
}

.mud-list-item-icon {
    color: var(--white) !important;
}

.mud-list-item-text {
    color: var(--white) !important;
}

.mud-table .mud-table-pagination .mud-table-pagination-toolbar .mud-table-pagination-actions {
    margin-inline-start: 0px !important;
    /*margin-inline-end: -14px !important;*/
}

.mud-table-pagination-information {
    color: var(--black) !important;
}

.mud-table-page-number-information {
    color: var(--black) !important;
}

.mud-toolbar {
    background: var(--lavender) !important;
}

.mud-scroll-to-top.visible {
    bottom: 70px !important;
    right: 16px !important;
    opacity: 0.9 !important;
    transition: transform .5s !important;
    flex: 1 !important;
}

.mud-primary {
    background-color: var(--pale-green);
}

.mud-list-item-text {
    color: black !important;
}

.mud-table-root {
    overflow: hidden !important;
}

    .mud-table-root .mud-table-head .mud-table-cell {
        color: var(--black) !important;
        font-size: 15px !important;
        /*font-weight: bold !important;*/
        background: var(--background-card)
    }

/*.mud-table-cell {
    color: var(--white) !important;
}*/

.mud-table-body td:nth-child(1) {
    color: var(--black) !important
}

/*.mud-table-body td:nth-child(3) {
    color: var(--forte-gray) !important
}*/

/*.mud-table-body td:nth-child(4) {
    color: var(--forte-gray) !important
}

.mud-table-body td:nth-child(6) {
    color: var(--forte-gray) !important
}*/

.mud-table-container {
    border-radius: 20px !important;
    margin-top: 10px !important;
}

.mud-table {
    border-radius: 20px !important;
    color: var(--white) !important;
}

.mud-table-dense * .mud-table-row .mud-table-cell {
    color: var(--black) !important;
}

.mud-typography-h6 {
    font-size: unset !important;
}

/*.mud-typography-body1 {
    color: white !important;
}*/

/*@media (min-width: 600px) {
    .mud-main-content {
         padding-top: unset !important; 
    }
}
*/
/*@media (min-width: 0px) and (orientation: landscape) {
    .mud-main-content {
         padding-top: unset !important;*/
/* padding-top: calc(var(--mud-appbar-height) - var(--mud-appbar-height) / 4); */
/*}
}*/

@media (max-width: 850px) {
    /*.mud-table-body td:nth-child(1) {
        color: var(--white) !important;
        font-size: 15px !important;
    }*/

    .mud-table-body td:nth-child(1) img {
        width: 50px !important;
        height: 50px !important;
        min-width: 50px !important;
        max-width: 50px !important;
        object-fit: cover !important;
        border-radius: 50% !important;
    }

    .mud-table-body td:nth-child(2) {
        font-size: 15px !important;
    }

    .mud-table-body td:nth-child(3) {
        font-size: 15px !important;
        /*color: var(--white) !important;*/
    }

    .mud-table-body td:nth-child(4) {
        font-size: 15px !important;
        /*color: var(--white) !important;*/
    }

    .mud-table-body td:nth-child(5) {
        font-size: 15px !important;
        /*font-weight: bold;*/
    }

    .mud-table-body td:nth-child(6) {
        font-size: 15px !important;
        /*color: var(--white) !important*/
    }

    .mud-table-body td:nth-child(7) {
        font-size: 15px !important;
    }
}

@media(max-width: 470px) {
    .mud-table .mud-table-pagination .mud-table-pagination-toolbar {
        flex-wrap: wrap;
        padding-top: 16px;
        padding-right: 16px;
        padding-inline-end: 16px;
        padding-inline-start: unset;
        min-height: 100px;
    }

        .mud-table .mud-table-pagination .mud-table-pagination-toolbar .mud-table-pagination-actions {
            margin-left: auto;
            margin-right: -14px;
            margin-inline-start: auto;
            margin-inline-end: -14px;
        }
}


/*.mud-drawer--open {
    background-image: url(/assets/backgroundImage.png) !important;
    background: round;
}
*/

.mud-drawer-responsive {
    background-image: url(/assets/bannerIzquierdo.png) !important;
    background: round;
}


.mud-button-filled.mud-button-filled-primary {
    color: var(--black) !important;
}

.mud-alert-text-info {
    color: white !important;
}


.mud-input > input.mud-input-root, div.mud-input-slot.mud-input-root {
    color: var(--black) !important;
}
